/* TraitePoint.l
B. Habert 
Tue Feb  6 21:55:24 CET 2001


*/


%{

int i ;

%}


Ponctuation       ([][,?;.:!{(^)}=<>'`-])
Point             (".")
SaufChiffre       ([^0-9])
Chiffre           ([0-9])
ChiffreOuEspace   ([0-9 ])
Espace            ([ ])
ToutCaractere     (.|\n)
SaufFinLigne      (.)
FinLigne          (\n)
AbreviationComptable ("F."|"fr."|"min."|[Kk][Mm]"/"[Hh]"."|"h."|"k/s."|"m."|"cm."|"kg."|"mn."|"ms."|[Pp]".")
AbreviationNonComptable ("Dr."|"etc."|"env."|[Mm]"."|[Pp]"."|[Ss]t".")
ElementAcronyme          ([A-Za-z]".")
SaufAlphaPointTiret      ([^A-Za-z.-])
Alpha          ([A-Za-z])

%%

{ElementAcronyme}{2,}          printf(" %s ", yytext) ;
{Ponctuation}{2,} ECHO ;
{Point}{Chiffre}  ECHO ;
{Chiffre}{Point}/{SaufChiffre}  printf("%c . ", yytext[0]) ;
{ChiffreOuEspace}{AbreviationComptable} {printf("%c ", yytext[0]) ;
                                          for (i = 1 ; i < yyleng ; i++){printf("%c", yytext[i]) ; }
                                          printf(" ") ;
                                         }
{SaufAlphaPointTiret}{Alpha}{2,3}"."    {printf("%c ", yytext[0]) ;
                                          for (i = 1 ; i < yyleng ; i++){printf("%c", yytext[i]) ; }
                                          printf(" ") ;
                                         }
{Alpha}"."{SaufAlphaPointTiret}     printf("%c . %c", yytext[0], yytext[2]) ;                                        

%%


int yywrap()
{
    return(1);
}

void main()
{yylex() ;
}

